%global srcname afl

Name:           python-%{srcname}
Version:        0.5.4
Release:        1%{?dist}
Summary:        Module that enables Afl fork server for Python code

License:        MIT
URL:            http://jwilk.net/software/python-afl
Source0:        https://files.pythonhosted.org/packages/source/p/python-%{srcname}/python-%{srcname}-%{version}.tar.gz
Source1:        LICENSE

ExclusiveArch: %{ix86} x86_64

BuildRequires:  python2-devel
BuildRequires:  Cython

BuildRequires:  python3-devel
BuildRequires:  python3-Cython


%description
Afl is an experimental module that enables American fuzzy lop fork server
and instrumentation for pure-Python code.

%package -n     python2-%{srcname}
Summary:        American fuzzy lop fork server and instrumentation for pure-Python code
%{?python_provide:%python_provide python2-%{srcname}}

Requires:  american-fuzzy-lop
Requires:  python-afl-bin

%description -n python2-%{srcname}
Afl is an experimental module that enables American fuzzy lop fork server 
and instrumentation for pure-Python3 code

%package -n python3-%{srcname}
Summary:      The python3  module that enables Afl fork server for Python code

Requires:  american-fuzzy-lop
Requires:  python-afl-bin

%description -n python3-%{srcname}
Afl is an experimental module that enables American fuzzy lop fork server 
and instrumentation for pure-Python3 code


%package     -n python-%{srcname}-bin
Summary:     Contains bash scripts for packages python-afl and python3-afl

%description -n python-%{srcname}-bin
The python-afl-bin is a package that contains py-afl-fuzz and py-afl-showmap scripts for both packages python-afl and python3-afl

%prep
%autosetup -n python-%{srcname}-%{version}
cp -p %{SOURCE1} .

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

# %%check section was not included, because properly working test
# is missing in source files

%files -n python2-%{srcname}
%defattr(755, root, root, -)
%doc doc/README.rst
%license LICENSE
%{python2_sitearch}/afl.so
%{python2_sitearch}/python_%{srcname}-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%defattr(755, root, root, -)
%doc doc/README.rst
%license LICENSE 
%{python3_sitearch}/afl.*.so
%{python3_sitearch}/python_%{srcname}-%{version}-py?.?.egg-info

%files -n python-afl-bin
%{_bindir}/py-afl-fuzz

%changelog
* Fri Aug 05 2016 Michal Cyprian <mcyprian@redhat.com> - 0.5.4-1
- Update to 0.5.4

* Wed Apr 13 2016 Michal Cyprian <mcyprian@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jul 13 2015 Michal Cyprian <mcyprian@redhat.com> - 0.2-2
- Add ExclusiveArch: %{ix86} x86_64

* Tue Jul 07 2015 Michal Cyprian <mcyprian@redhat.com> - 0.2-1
- Initial release of RPM package
